using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhoenixUserManager.Class;
using PhoenixUserManager.GUI;

namespace PhoenixCommander.GUI
{
    public partial class fr_InscriptionForm : Form
    {
        #region Variables
        /// <summary>
        /// User's inscription manager
        /// </summary>
        private UserManager vUserManager =
            new UserManager("PhoenixUserManag", "", "jibedoubleve.mine.nu", "Phoenix", "Phoenix");
        #endregion

        #region Constructor
        /// <summary>
        /// Constructor
        /// </summary>
        public fr_InscriptionForm()
        {
            InitializeComponent();
        }
        #endregion

        #region Events
        /// <summary>
        /// Reactivation of an existing inscription
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Click_Reactivate(object sender, EventArgs e)
        {
        }
        /// <summary>
        /// Inscription 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Click_Inscription(object sender, EventArgs e)
        {
            try
            {
                if (vUserManager.RegistryContainsUser())
                {
                    UserManager um = vUserManager.GetRegistryUser();
                    MessageBox.Show("La base de registre contient dj des informations sur un utilisateur.\r\n"
                         + um.FullNameAndBirth, "Attention", MessageBoxButtons.YesNo, MessageBoxIcon.Exclamation);
                }
                fr_Inscription fr = new fr_Inscription();
                fr.ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show("Une erreur est intervenue... Impossible de s'inscrire (" + ex.Message + ")",
                    "Erreur", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
        #endregion
    }
}